WebVirtualHost (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.WebVirtualHost interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web
Interface WebVirtualHost

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  ApacheVirtualHost, IPlanetVirtualHost, JettyVirtualHosts, TomcatVirtualHosts, WebLogicVirtualHost

    public interface WebVirtualHost

extends LogicalElement

Represents a Virtual Host resource. Multiple Virtual Hosts can be run within a single Web Container.

Naming Rules:
  0="parent,serverName,primarySAP" 1="managedSystemName"
Persistable:
  true
Table Name:
  WEBVHOST
Display Name:
  serverName,primarySAP

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`BindAddress[]` | `getBindAddresses()`
`boolean` | `getDefaultWebServer()`
`WebVirtualHostConfigDirective[]` | `getDirectives()`
`java.lang.String` | `getDocumentRoot()`
`WebContainer` | `getParent()`
`BindAddress` | `getPrimarySAP()`
`WebProxyServer` | `getProxyServer()`
`ServerAlias[]` | `getServerAliases()`
`java.lang.String` | `getServerName()`
`boolean` | `hasBindAddresses()`
`boolean` | `hasDefaultWebServer()`
`boolean` | `hasDirectives()`
`boolean` | `hasDocumentRoot()`
`boolean` | `hasParent()`
`boolean` | `hasPrimarySAP()`
`boolean` | `hasProxyServer()`
`boolean` | `hasServerAliases()`
`boolean` | `hasServerName()`
`void` | `setBindAddresses(BindAddress[] bindAddresses)`
`void` | `setDefaultWebServer(boolean defaultWebServer)`
`void` | `setDirectives(WebVirtualHostConfigDirective[] d)`
`void` | `setDocumentRoot(java.lang.String documentRoot)`
`void` | `setParent(WebContainer parent)`
`void` | `setPrimarySAP(BindAddress sap)`
`void` | `setProxyServer(WebProxyServer proxyServer)`
`void` | `setServerAliases(ServerAlias[] aliases)`
`void` | `setServerName(java.lang.String serverName)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebContainer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setParent

    void setParent(WebContainer parent)

### hasParent

    boolean hasParent()

### getServerName

    java.lang.String getServerName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerName

    void setServerName(java.lang.String serverName)

### hasServerName

    boolean hasServerName()

### getDocumentRoot

    java.lang.String getDocumentRoot()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDocumentRoot

    void setDocumentRoot(java.lang.String documentRoot)

### hasDocumentRoot

    boolean hasDocumentRoot()

### getDefaultWebServer

    boolean getDefaultWebServer()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultWebServer

    void setDefaultWebServer(boolean defaultWebServer)

### hasDefaultWebServer

    boolean hasDefaultWebServer()

### getPrimarySAP

    BindAddress getPrimarySAP()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setPrimarySAP

    void setPrimarySAP(BindAddress sap)

### hasPrimarySAP

    boolean hasPrimarySAP()

### getBindAddresses

    BindAddress[] getBindAddresses()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindAddresses

    void setBindAddresses(BindAddress[] bindAddresses)

### hasBindAddresses

    boolean hasBindAddresses()

### getProxyServer

    WebProxyServer getProxyServer()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setProxyServer

    void setProxyServer(WebProxyServer proxyServer)

### hasProxyServer

    boolean hasProxyServer()

### getServerAliases

    ServerAlias[] getServerAliases()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setServerAliases

    void setServerAliases(ServerAlias[] aliases)

### hasServerAliases

    boolean hasServerAliases()

### getDirectives

    WebVirtualHostConfigDirective[] getDirectives()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setDirectives

    void setDirectives(WebVirtualHostConfigDirective[] d)

### hasDirectives

    boolean hasDirectives()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD